package typeManage

import (
	v1 "log-server/api/v1"
	"github.com/gin-gonic/gin"
)

type LoginTypeRouter struct {}

func (l *LoginTypeRouter) InitLoginTypeRouter(Router *gin.RouterGroup)  {
	loginTypeRouter := Router.Group("loginType")
	loginTypeApi := v1.ApiGroupApp.TypeApiGroup.LoginTypeApi
	{

		loginTypeRouter.POST("createLoginType",loginTypeApi.CreateLoginType)          // 增加登录类型
		loginTypeRouter.POST("deleteLoginType",loginTypeApi.DeleteLoginType)          // 删除单个登录类型
		loginTypeRouter.DELETE("deleteLoginTypesByIds", loginTypeApi.DeleteLoginTypesByIds)		//批量删除
		loginTypeRouter.POST("updateLoginType",loginTypeApi.UpdateLoginType)          // 更新登录类型信息
		loginTypeRouter.POST("getLoginTypeById", loginTypeApi.GetLoginTypeById) 		//获取单条登录类型
		loginTypeRouter.POST("getLoginType",loginTypeApi.GetLoginType)          // 查询所有登录类型
	}
}
